Menu icon Foundation
Impossible to upgrade to 5.4.3

Hello,

I get this message

"invalid-meta foundation is missing "ignore" entry in bower.json"

Impossible to install to the last version. I'm sticky to 5.4.2., with "foundation new mysite" or "bower update".

543upgradebowercacheclean

Hello,

I get this message

"invalid-meta foundation is missing "ignore" entry in bower.json"

Impossible to install to the last version. I'm sticky to 5.4.2., with "foundation new mysite" or "bower update".

Jean-Pol Dupont about 5 years ago

Answer to myself ...

After trying ... again and reading http://foundation.zurb.com/forum/posts/19076-recommended-install-for-foundation I found an answer and it SEEMS ok :

do a "bower cache clean" ... BUT :

OK for "foundation new ..."

BAD with "bower update"

BTW, other messages in the terminal (the first time) :

bower foundation#* invalid-meta foundation is missing "ignore" entry in bower.json
bower jquery-placeholder#~2.0.7 invalid-meta jquery-placeholder is missing "ignore" entry in bower.json
bower modernizr#>= 2.7.2 invalid-meta modernizr is missing "main" entry in bower.json
bower modernizr#>= 2.7.2 invalid-meta modernizr is missing "ignore" entry in bower.json

Normal ?

Jean-Pol Dupont about 5 years ago

I try this morning to upgrade to 5.4.4 (after a bower cache clean) : impossible. Again ...

Last login: Tue Sep 16 10:08:50 on ttys001
cd /Users/JP/Desktop/foundation
MacBook-Pro-de-Jean-Pol:~ JP$ cd /Users/JP/Desktop/foundation
MacBook-Pro-de-Jean-Pol:foundation JP$ foundation new 544
Creating ./544
create 544
Cloning into '544'...
remote: Counting objects: 86, done.
remote: Compressing objects: 100% (5/5), done.
remote: Total 86 (delta 0), reused 1 (delta 0)
Unpacking objects: 100% (86/86), done.
Checking connectivity... done.
Installing dependencies with bower...
bower foundation#* mismatch Version declared in the json (5.4.3) is different than the resolved one (5.4.4)
bower foundation#* invalid-meta foundation is missing "ignore" entry in bower.json
bower jquery-placeholder#~2.0.7 invalid-meta jquery-placeholder is missing "ignore" entry in bower.json
bower modernizr#>= 2.7.2 invalid-meta modernizr is missing "main" entry in bower.json
bower modernizr#>= 2.7.2 invalid-meta modernizr is missing "ignore" entry in bower.json
./544 was created
MacBook-Pro-de-Jean-Pol:foundation JP$

Rafi Benkual about 5 years ago

This is just a warning. It shows you have a project created.

Jean-Pol Dupont about 5 years ago

Rafi, thanks for the answer but actually, I'm not able to install the last release of Foundation (544) !

  • I do a bower cache clean -> cache deleted.
  • Then I do foundation new last544 and I get this :

Last login: Wed Sep 17 13:14:49 on ttys000
cd /Users/JP/Desktop/foundation
MacBook-Pro-de-Jean-Pol:~ JP$ cd /Users/JP/Desktop/foundation
MacBook-Pro-de-Jean-Pol:foundation JP$ foundation new last544
Creating ./last544
create last544
Cloning into 'last544'...
remote: Counting objects: 86, done.
remote: Total 86 (delta 0), reused 0 (delta 0)
Unpacking objects: 100% (86/86), done.
Checking connectivity... done.
Installing dependencies with bower...
bower foundation#* mismatch Version declared in the json (5.4.3) is different than the resolved one (5.4.4)
bower foundation#* invalid-meta foundation is missing "ignore" entry in bower.json
bower jquery-placeholder#~2.0.7 invalid-meta jquery-placeholder is missing "ignore" entry in bower.json
bower modernizr#>= 2.7.2 invalid-meta modernizr is missing "main" entry in bower.json
bower modernizr#>= 2.7.2 invalid-meta modernizr is missing "ignore" entry in bower.json
./last544 was created
MacBook-Pro-de-Jean-Pol:foundation JP$

When I read the bower.json, in the foundation directory, I get "5.4.3" as version. Idem in the js files.

I know messages are warning, but here, I don't understand why I'm not able to upgrade ...

Jean-Pol Dupont about 5 years ago

I check :

Installing dependencies with bower...
bower foundation#* mismatch Version declared in the json (5.4.3) is different than the resolved one (5.4.4)

and :

MacBook-Pro-de-Jean-Pol:ver544 JP$ bower update --5.4.4
bower not-cached git://github.com/zurb/bower-foundation.git#*
bower resolve git://github.com/zurb/bower-foundation.git#*
bower download https://github.com/zurb/bower-foundation/archive/5.4.4.tar.gz
bower extract foundation#* archive.tar.gz
bower mismatch Version declared in the json (5.4.3) is different than the resolved one (5.4.4)

I understand : your file https://github.com/zurb/bower-foundation/archive/5.4.4.tar.gz bower download

is a 5.3.3 file, in bower.json, and in the js files ... : I just downloaded the archive and check the files content :-(

Again, many time wasted ...

Rafi Benkual about 5 years ago

We made some changes to the codebase for 5.4.5 that should resolve this.